package com_taovip.vsms_demo;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import org.apache.http.client.ClientProtocolException;
import org.junit.Before;
import org.junit.Test;

import com.google.gson.Gson;
import com.yunpian.sdk.YunpianClient;
import com.yunpian.sdk.api.VideoSmsApi;

import com_taovip.vsms_demo.resp.report.Report;


/**
 * 状态报告拉取demo
 * <p>	主动拉取状态报告
 * <p>	改功能打标开放，需要请联系客服
 * <p>	每条短信状态报告只会被拉取一次
 * 
 * <p>	生产环境中不建议使用，建议用主动push的方式
 * <p>	主动push设置请参考 官网 -> 设置 -> 系统设置 -> 数据推送与获取 -> 短信状态报告推送
 * 
 * @author luoyi
 *
 */
public class ReportTest {

	
	//	yunpian sdk
	protected YunpianClient ypClient;
	//	视频短信api
	protected VideoSmsApi api;
	
	protected Gson gson;
	
	@Before
	public void init() {
		ypClient = new YunpianClient(Commons.APIKEY);
		ypClient.init();
        api = new VideoSmsApi();
        api.init(ypClient);
        
        gson = new Gson();
	}
	
	
	/**
	 * 测试拉取状态报告
	 */
	@Test
	public void testReport() {
		//	准备参数
		Map<String, Object> param = new HashMap<String, Object>();
        param.put(YunpianClient.APIKEY, Commons.APIKEY);
        param.put("page_size", "10");								//	每页最大数
        
        //	拉取状态报告
        try {
			String resp = HttpUtils.query("https://sms.yunpian.com/v2/sms/pull_status.json", param);
			System.out.println(resp);
			
			Report[] reportResp = gson.fromJson(resp, Report[].class);
			if (reportResp != null) {
				System.out.println("resp.report.size:" + reportResp.length);

				for (Report report : reportResp) {
					System.out.println(report.getSid() + " " + report.getReport_status());
				}
			}
		} catch (ClientProtocolException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
