package com_taovip.vsms_demo;

import java.util.HashMap;
import java.util.Map;

import org.junit.Before;
import org.junit.Test;

import com.yunpian.sdk.YunpianClient;
import com.yunpian.sdk.api.VideoSmsApi;
import com.yunpian.sdk.model.Result;
import com.yunpian.sdk.model.SmsBatchSend;

/**
 * 发送视频短信demo
 * 
 * @author luoyi
 *
 */
public class VsmsTest {

	
	//	yunpian sdk
	protected YunpianClient ypClient;
	//	视频短信api
	protected VideoSmsApi api;
	
	
	@Before
	public void init() {
		ypClient = new YunpianClient(Commons.APIKEY);
		ypClient.init();
        api = new VideoSmsApi();
        api.init(ypClient);
	}
	
	
	/**
	 * 测试发送短信
	 */
	@Test
	public void testSend() {
		//	准备参数
		Map<String, String> param = new HashMap<String, String>();
        param.put(YunpianClient.APIKEY, Commons.APIKEY);
        param.put("tpl_id", "998");							//	已经审核通过的模板
        param.put("mobile", "139********");					//	待发送的手机号（截止目前仅支持移动 / 联通）
        param.put("uid", "123456");							//	每条短信自定义id，拉取短信状态报告时可以带回来的参数（该功能打标开放，需要可以联系客服）
        param.put("aid", "1234");							//	每条短信批次id，拉取短信状态报告时可以带回来的参数（改功能打标开放，需要可以联系客服）
        
        //	发送短信
        Result<SmsBatchSend> res = api.tplBatchSend(param);
        System.out.println(res.getCode() + " " + res.getMsg() + " " + res.getDetail());		//	打印返回值，返回0 成功 null 即说明发送成功。成功后即可在 官网 -> 通讯云 -> 更多产品 -> 视频短信 -> 视频短信记录 中看到刚刚发送的短信记录
        if (res.getThrowable() != null) {													//	万一出错了。。。
        	res.getThrowable().printStackTrace();
        }
	}
}
